<div class="toolstrip" >
    <button class="btn-primary card-button ml-3" (click)="setDataViewCard()"
        [ngClass]="dataViewMode == 'card' ? 'active':''">
        <svg xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24" height="24px" viewBox="0 0 24 24"
            width="24px" fill="#FFFFFF">
            <g>
                <rect fill="none" height="24" width="24" x="0" y="0" />
            </g>
            <g>
                <g>
                    <path
                        d="M19,13H5c-1.1,0-2,0.9-2,2v4c0,1.1,0.9,2,2,2h14c1.1,0,2-0.9,2-2v-4C21,13.9,20.1,13,19,13z" />
                    <path d="M19,3H5C3.9,3,3,3.9,3,5v4c0,1.1,0.9,2,2,2h14c1.1,0,2-0.9,2-2V5C21,3.9,20.1,3,19,3z" />
                </g>
            </g>
        </svg>
        Cartões
    </button>
    <button class="btn-primary table-button" (click)="setDataViewTable()"
        [ngClass]="dataViewMode == 'table' ? 'active':''">
        <svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24" width="24px" fill="#FFFFFF">
            <path d="M0 0h24v24H0V0z" fill="none" />
            <path
                d="M10 10.02h5V21h-5zM17 21h3c1.1 0 2-.9 2-2v-9h-5v11zm3-18H5c-1.1 0-2 .9-2 2v3h19V5c0-1.1-.9-2-2-2zM3 19c0 1.1.9 2 2 2h3V10H3v9z" />
        </svg>
        Tabela
    </button>

    <button (click)="fetchAll()" class="btn-primary ml-3 br-8"><svg xmlns="http://www.w3.org/2000/svg" height="24px"
            viewBox="0 0 24 24" width="24px" fill="#FFFFFF">
            <path d="M0 0h24v24H0V0z" fill="none" />
            <path
                d="M17.65 6.35C16.2 4.9 14.21 4 12 4c-4.42 0-7.99 3.58-7.99 8s3.57 8 7.99 8c3.73 0 6.84-2.55 7.73-6h-2.08c-.82 2.33-3.04 4-5.65 4-3.31 0-6-2.69-6-6s2.69-6 6-6c1.66 0 3.14.69 4.22 1.78L13 11h7V4l-2.35 2.35z" />
        </svg>
        Atualizar
    </button>

    <div class="filter-container m-0 form-group">
        <label class="m-0 mr-3 ml-3">Doença:</label>
        <input type="text" class="form-control" [(ngModel)]="filterValue">
        <button class="btn-primary ml-3 br-8" (click)="setFilter()">Buscar</button>
    </div>
</div>
<div class="card-container mt-3" *ngIf="dataViewMode == 'card'">
    <div *ngFor="let report of Reports">
        <app-report-card [DiseaseReportSummary]="report"></app-report-card>
    </div>
</div>
<div class="w-100 d-flex mt-3" *ngIf="dataViewMode == 'table'">
    <table>
        <tr>
            <th>Doença</th>
            <th>Número de casos</th>
            <th>Taxa de letalidade(%)</th>
            <th>Taxa de transmissibilidade(%)</th>
            <th>Taxa de casos muito leves(%)</th>
            <th>Taxa de casos leves(%)</th>
            <th>Taxa de casos moderados(%)</th>
            <th>Taxa de casos graves(%)</th>
            <th>Taxa de casos muito graves(%)</th>
        </tr>
        <tr *ngFor="let item of Reports">
            <td>{{item.diseaseName}}</td>
            <td>{{item.numberOfCases}}</td>
            <td>{{item.deathAverage}}</td>
            <td>{{item.transmissionRate}}</td>
            <td>{{(item.veryLowInfectionsSeverityCount / item.numberOfCases * 100) | number: '1.0-0'}}</td>
            <td>{{(item.lowInfectionsSeverityCount / item.numberOfCases * 100) | number: '1.0-0'}}</td>
            <td>{{(item.normalInfectionsSeverityCount / item.numberOfCases * 100) | number: '1.0-0'}}</td>
            <td>{{(item.highInfectionsSeverityCount / item.numberOfCases * 100) | number: '1.0-0'}}</td>
            <td>{{(item.veryHighInfectionsSeverityCount / item.numberOfCases * 100) | number: '1.0-0'}}</td>
        </tr>

    </table>
</div>